Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.spi
Interface PersistenceCapable.ObjectIdFieldConsumer

All Known Subinterfaces:
  PersistenceCapable.ObjectIdFieldManager

Enclosing interface:
  PersistenceCapable

    public static interface PersistenceCapable.ObjectIdFieldConsumer

This interface is used to store fields from the Object id instance. It is used by the method copyKeyFieldsFromObjectId. When the method is called, the generated code calls the instance of ObjectIdFieldManager for each field in the object id.

Method Summary
`void` | `storeBooleanField(int fieldNumber, boolean value)` Store one field into the field manager.
`void` | `storeByteField(int fieldNumber, byte value)` Store one field into the field manager.
`void` | `storeCharField(int fieldNumber, char value)` Store one field into the field manager.
`void` | `storeDoubleField(int fieldNumber, double value)` Store one field into the field manager.
`void` | `storeFloatField(int fieldNumber, float value)` Store one field into the field manager.
`void` | `storeIntField(int fieldNumber, int value)` Store one field into the field manager.
`void` | `storeLongField(int fieldNumber, long value)` Store one field into the field manager.
`void` | `storeObjectField(int fieldNumber, java.lang.Object value)` Store one field into the field manager.
`void` | `storeShortField(int fieldNumber, short value)` Store one field into the field manager.
`void` | `storeStringField(int fieldNumber, java.lang.String value)` Store one field into the field manager.

Method Detail

### storeBooleanField

    void storeBooleanField(int fieldNumber,
                           boolean value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeCharField

    void storeCharField(int fieldNumber,
                        char value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeByteField

    void storeByteField(int fieldNumber,
                        byte value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeShortField

    void storeShortField(int fieldNumber,
                         short value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeIntField

    void storeIntField(int fieldNumber,
                       int value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeLongField

    void storeLongField(int fieldNumber,
                        long value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeFloatField

    void storeFloatField(int fieldNumber,
                         float value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeDoubleField

    void storeDoubleField(int fieldNumber,
                          double value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeStringField

    void storeStringField(int fieldNumber,
                          java.lang.String value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeObjectField

    void storeObjectField(int fieldNumber,
                          java.lang.Object value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.